com.sun.jna.platform.win32

## Class WinRas.RAS_STATS

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinRas.RAS_STATS

- Enclosing interface:
    WinRas

      @Structure.FieldOrder(value={"dwSize","dwBytesXmited","dwBytesRcved","dwFramesXmited","dwFramesRcved","dwCrcErr","dwTimeoutErr","dwAlignmentErr","dwHardwareOverrunErr","dwFramingErr","dwBufferOverrunErr","dwCompressionRatioIn","dwCompressionRatioOut","dwBps","dwConnectDuration"})
      public static class WinRas.RAS_STATS
      extends Structure

  The RAS_STATS structure stores the statistics for a single-link RAS connection, or for one of the links in a multilink RAS connection.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `dwAlignmentErr` The number of alignment errors on this connection or link.
    `int` | `dwBps` The speed of the connection or link, in bits per second.
    `int` | `dwBufferOverrunErr` The number of buffer overrun errors on this connection or link.
    `int` | `dwBytesRcved` The number of bytes received through this connection or link.
    `int` | `dwBytesXmited` The number of bytes transmitted through this connection or link.
    `int` | `dwCompressionRatioIn` The compression ratio for the data being received on this connection or link.
    `int` | `dwCompressionRatioOut` The compression ratio for the data being transmitted on this connection or link.
    `int` | `dwConnectDuration` The amount of time, in milliseconds, that the connection or link has been connected.
    `int` | `dwCrcErr` The number of cyclic redundancy check (CRC) errors on this connection or link.
    `int` | `dwFramesRcved` The number of frames received through this connection or link.
    `int` | `dwFramesXmited` The number frames transmitted through this connection or link.
    `int` | `dwFramingErr` The number of framing errors on this connection or link.
    `int` | `dwHardwareOverrunErr` The number of hardware overrun errors on this connection or link.
    `int` | `dwSize` Specifies the version of the structure.
    `int` | `dwTimeoutErr` The number of timeout errors on this connection or link.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RAS_STATS()`
    `RAS_STATS(Pointer memory)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dwSize

          public int dwSize

      Specifies the version of the structure. Set this member to sizeof(RAS_STATS) before using the structure in a function call.

    - #### dwBytesXmited

          public int dwBytesXmited

      The number of bytes transmitted through this connection or link.

    - #### dwBytesRcved

          public int dwBytesRcved

      The number of bytes received through this connection or link.

    - #### dwFramesXmited

          public int dwFramesXmited

      The number frames transmitted through this connection or link.

    - #### dwFramesRcved

          public int dwFramesRcved

      The number of frames received through this connection or link.

    - #### dwCrcErr

          public int dwCrcErr

      The number of cyclic redundancy check (CRC) errors on this connection or link.

    - #### dwTimeoutErr

          public int dwTimeoutErr

      The number of timeout errors on this connection or link.

    - #### dwAlignmentErr

          public int dwAlignmentErr

      The number of alignment errors on this connection or link.

    - #### dwHardwareOverrunErr

          public int dwHardwareOverrunErr

      The number of hardware overrun errors on this connection or link.

    - #### dwFramingErr

          public int dwFramingErr

      The number of framing errors on this connection or link.

    - #### dwBufferOverrunErr

          public int dwBufferOverrunErr

      The number of buffer overrun errors on this connection or link.

    - #### dwCompressionRatioIn

          public int dwCompressionRatioIn

      The compression ratio for the data being received on this connection or link.

    - #### dwCompressionRatioOut

          public int dwCompressionRatioOut

      The compression ratio for the data being transmitted on this connection or link.

    - #### dwBps

          public int dwBps

      The speed of the connection or link, in bits per second.

    - #### dwConnectDuration

          public int dwConnectDuration

      The amount of time, in milliseconds, that the connection or link has been connected.

  - ### Constructor Detail

    - #### RAS_STATS

          public RAS_STATS()

    - #### RAS_STATS

          public RAS_STATS(Pointer memory)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.